:root{
    --var-purple: #C6BFEE;
    --var-body-color: #DAD8E9;
    --var-accent-color:#321a2c;
    --var-primary-button :#A95B95;
}
p{
    margin: 0px !important; 
}
body {
  overflow-x: hidden;
}


[data-barba="container"] {
  position: relative;
   will-change: transform, opacity;
}

.is-transitioning {
  overflow: hidden;
  height: 100vh;
}

[data-barba="wrapper"] {
  overflow-x: hidden;
}


.primary-button{
    background: var(--var-primary-button);
    color: white;
    font-size: 17px;
    font-weight: 600;
    border-radius: 8px;
    border: 1px solid var(--var-primary-button);
    padding: 8px 10px
    
}
.primary-button a{
    color: var(--var-body-color);
    text-decoration: none;
}
.scondary-buuton{
     color: var(--var-primary-button);
    border: 1px solid var(--var-primary-button);
    background: transparent;
    font-size: 17px;
    font-weight: 600;
    border-radius: 8px;
    padding: 8px 10px
}
.scondary-buuton a{
    color: var(--var-primary-button);
    text-decoration: none;
}
body{
    margin: 0;
    padding: 0;
    box-sizing: border-box;

    background-image: url('images/bg.avif');
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    background-attachment: fixed;
}

/* Blur Overlay */
body::before{
 content: "";
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;

    backdrop-filter: blur(30px);
    -webkit-backdrop-filter: blur(30px);

    background: rgba(5, 0, 32, 0.5); /* required for blur visibility */
    z-index: -1; 
}
header {
    position: sticky;
    top: 0;
    margin: auto;
    z-index: 999;
    background: rgba(5, 0, 32, 1)
}

.sec-with-padding-header{
      max-width: 1100px;
    margin: auto;
}



.sec-with-padding-header a{
    color: var(--var-body-color);
    font-size: 17px;
    font-weight: 600;
}

.sec-with-padding-header a:hover{
    color: var(--var-primary-button);
}
.sec-with-padding-header a:active{
    color: var(--var-primary-button);
}

.header-logo{
    width: 200px;
}
.sec-with-padding{
 padding: 90px 20px;
    max-width: 1100px;
    margin: 0 auto;
}

.hero{
    position: relative;
}



.hero .row{
    align-items: flex-start;
}
.section-heading{
    color: var(--var-purple);
    font-size:  2.5em;
    font-weight:700;


}
.section-para{
    color: var(--var-body-color);
    font-size: 17px;

}

.section-para span{
    color: var(--var-primary-button)
}
.img-dabs{
    width: 450px;
}
.s-title{
    background-color: var(--var-accent-color);
    width: max-content;
    text-align: start;
    color: var(--var-body-color);
    padding: 8px 8px;
    border-radius:5px;
}

.s-title p{
    font-size: 14px;
}

.hero-image img{
    width: 300px;
    height: auto;
    display: block;
    

}
.hero-image, .about-image{
    display: flex;
    align-items: flex-start;
    justify-content: center;
}
.s-title-transparent{
  color: var(--var-primary-button);
    border: 1px solid var(--var-primary-button);
    background: transparent;

}
.about-image img{
    width: 400px;
    height: auto;
    display: block;
}

.stats .col-md-3{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    color: var(--var-body-color);
}
.stats p{
    text-align: center;
    font-size: 17px;
}
.stats h2{
    font-size: 58px;
    font-weight: 500;
    margin-bottom: 20px;
}
.stats h4{
       font-size: 17px;
    font-weight: 700;
    margin-bottom: 15px;
}

.button-group-about{
    display: flex;
    justify-content: end;
} 

.button-group-about a{
  color: var(--var-primary-button);
  text-decoration: none;;   
}

.divider{
    backdrop-filter: blur(50px);
    -webkit-backdrop-filter: blur(10px);
    width: 100%;
}

.box{
    background: #a95b95bf;
    border-radius: 8px;
    padding: 20px;
}
.box h4{
    font-size: 21px;
    font-weight: 500;
    color: black;
    margin-bottom: 15px;
}
.box p{
    font-size: 17px;
    color: black;

}

.box-transparent{
    background: transparent
}
.box-transparent h4{
    color: var(--var-purple);

}
.box-transparent p{
    color: var(--var-body-color);
}
.mission-image{
    max-width: 1050px;
    border-radius: 8px;
}
.team-image img{
    max-width: 400px;
    height: 800px;
    object-fit: cover;
    border-radius: 8px;
}


.box-dark{
    background: #542c49;
    border: 0px solid rgb(223, 223, 224);
}
.box-dark h4, .box-dark p{
    color: var(--var-body-color);
}
.box-border{
    border-left: 1px solid var(--var-primary-button);
    border-radius: 0px;
    padding: 0px 0px 0px 20px;
}

.service p, .main-p, .ser-met p{
    font-size: 17px;
    color: var(--var-body-color);

}
.service h3{
    font-size: 21px;
    color: var(--var-body-color);
    margin-bottom: 10px;
}
.icon{
    margin-left: -10px;
}
.ser-box p{
    font-size: 16px;
}
.method-image{
    height: auto;
    width: 320px;
    margin-top: 50px;
}
.ser-met-box{
    flex-direction: column;
}

.ser-met-box h3{
     font-size: 21px;
    color: var(--var-body-color);
    margin-bottom: 10px;
}
.ser-met-box .inner-box{
    text-align: right;
}

.service-met-boxes{
    align-items: center;
}
.icon-box{
    background-color: var(--var-primary-button);
    width: max-content;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 15px;
    border-radius: 999px;
    margin-bottom: 20px;
}
.icon-box svg{
    width: 28px;
    height: 28px;
    stroke: white;
    fill: white;
}

.box-flex{
    display: flex;
    gap: 30px;
    align-items: center;
    padding: 0px;
}
.p-icon-box{
    height: 100px;
    padding: 15px 28px;
    background: #542c49;
}
.p-icon-box h2{
    color: var(--var-body-color);
    font-size: 26px;
    font-weight: 600;
}
.box-flex .content{
    margin-top: -10px;
}
.content h4{
    color: var(--var-body-color);
}



.contact-heading{

        color: var(--var-purple);
        font-size: 21px;
}

footer .section-heading{
     font-size: 21px;
}
.footer-icon-box{
    background: transparent;
    padding: 0px;
    height:fit-content;
    width: max-content;
}

.footer-icon-box svg{
    stroke: white;
    fill: white;
    color: var(--var-primary-button);
    margin-top: -10px;
}


.footer-box .box-flex{
    align-items: start;
    gap: 15px;
}

footer a{
    color:#A95B95;
    text-decoration: none;
}

.footer-img{
    display: flex;
    justify-content: center;
    margin-top: 30px;
}

.tl-icon-box{
      background: transparent;
    padding: 20px;
    height:fit-content;
    width: max-content;
}
.tl-icon-box svg{
   height: 20px;
   width: 20px;
    color: var(--var-primary-button);
    padding: 0;
    
}
.tl-box-flex{
    gap: 0px;
}





.timeline {
    padding: 0px 0px;
    position: relative;
    max-width: 1100px;
    margin-left: -100px;
}

.timeline-inner {
    max-width: 1000px;
    margin: auto;
    position: relative;
    height: 420px;
}

.timeline-line {
    position: absolute;
    top: 50%;
    width: 100%;
    height: 2px;
    background: #542c49
}

.step {
    position: absolute;
    top: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    width: 260px;
}

.number {
    width: 40px;
    height: 40px;
    background: #542c49;
    border-radius: 6px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: 600;
   color: var(--var-body-color);
    position: absolute;
    left: 75%;
    top: 50%;
    transform: translate(-50%, -50%);
    z-index: 2;
    font-size: 21px;
    font-weight: 700;

    
    
}

/* ✅ renamed here */
.timeline-content {
    position: absolute;
    width: 150%;
}

.timeline-content h3 {
    font-size: 21px;
    margin-bottom: 12px;
    color: var(--var-purple);
}

.timeline-content p {
    font-size: 17px;
    line-height: 1.6;
    color: var(--var-body-color);
}

.timeline-content.top {
    bottom: 70px;
}

.timeline-content.top::after {
    content: "";
    position: absolute;
    left: 50%;
    bottom: -50px;
    width: 2px;
    height: 50px;
    background: #542c49;
    transform: translateX(-50%);
}

.timeline-content.bottom {
    top: 70px;
}

.timeline-content.bottom::before {
    content: "";
    position: absolute;
    left: 50%;
    top: -50px;
    width: 2px;
    height: 50px;
    z-index: 1;
    background: #542c49;
    transform: translateX(-50%);
}




.contact-wrapper {
    max-width: 600px;
    margin: auto;
    padding: 40px 20px;
}

.contact-form {
    width: 100%;
}

.contact-form label {
    display: block;
    margin-bottom: 8px;
    color: var(--var-purple);
    font-size: 18px;
}

.contact-form input,
.contact-form textarea {
    width: 100%;
    padding: 18px;
    margin-bottom: 25px;
    border-radius: 8px;
    border: none;
    background: transparent;
    border-color: var(--var-primary-button);
    border-width: 1px;
    border-style: solid;
    color: #fff;
    font-size: 16px;
    outline: none;
}

.contact-form textarea {
    height: 160px;
    resize: none;
}

.contact-form input::placeholder,
.contact-form textarea::placeholder {
    color: #9a9a9a;
}

.contact-form button {
    width: 100%;
    /* 
    padding: 18px;
    border: none;
    border-radius: 50px;
    background: #c61f2b;
    color: white;
    font-size: 20px;
    cursor: pointer;
*/    transition: 0.3s;
}
/*
.contact-form button:hover {
    background: #a81822;
} */



@media (max-width: 992px){

.sec-with-padding{
    padding:70px 20px;
}

.section-heading{
    font-size:2em;
}

.img-dabs{
    width:100%;
    max-width:350px;
}

.hero-image img,
.about-image img{
    width:100%;
    max-width:320px;
}

.team-image img{
    max-width:100%;
    height:auto;
}

/* stats */
.stats h2{
    font-size:42px;
}

/* boxes */
.box-flex{
    flex-direction:column;
    align-items:flex-start;
    gap:20px;
}

/* buttons */
.button-group-about{
    justify-content:center;
}

/* timeline */
.timeline{
    margin-left:0;
}

.timeline-inner{
    height:520px;
}

.timeline-content{
    width:130%;
}

}


@media (max-width:768px){

.section-heading{
    font-size:1.7em;
}

.section-para,
.service p,
.main-p{
    font-size:15px;
}

.primary-button,
.scondary-buuton{
    font-size:15px;
    padding:7px 12px;
}

/* images stack */
.hero .row,
.service-met-boxes{
    text-align:center;
}

.hero-image,
.about-image{
    margin-top:40px;
}

/* stats stack */
.stats .col-md-3{
    margin-bottom:30px;
}

/* services */
.method-image{
    width:100%;
    max-width:260px;
}

.timeline{
    max-width: 100%;
}

/* timeline adjustment */
.timeline-inner{
    height:auto;
    padding:120px 0;
}

.step{
    position:relative;
    top:auto;
    transform:none;
    width:100%;
    margin-bottom:80px;
}

.timeline-line{
    display:none;
}

.number{
    position:relative;
    left:50%;
    top:auto;
    transform:translateX(-50%);
    margin-bottom:20px;
}

.timeline-content{
    position:relative;
    width:100%;
}

.timeline-content.top,
.timeline-content.bottom{
    top:auto;
    bottom:auto;
}

.timeline-content::before,
.timeline-content::after{
    display:none;
}

}


@media (max-width:576px){

.sec-with-padding{
    padding:50px 15px;
}

.section-heading{
    font-size:1.5em;
}

.header-logo{
    width:150px;
}

.stats h2{
    font-size:34px;
}

.icon-box{
    padding:12px;
}

.icon-box svg{
    width:22px;
    height:22px;
}

.p-icon-box{
    height:auto;
}

footer{
    text-align:start;
}

.footer-box .box-flex{
    flex-direction:row;
    align-items:start;
}

.mission-image{
    width: 100%;
}
.col-md-6{
    margin-bottom: 10px;
}
}



@media (max-width:768px){

.timeline-inner{
    height:auto;
    display:flex;
    flex-direction:column;
    align-items:center;
}

/* remove horizontal line */
.timeline-line{
    display:none;
}

/* stack steps */
.step{
    position:relative;
    top:auto;
    left:auto !important;
    transform:none;
    width:100%;
    max-width:420px;
    margin-bottom:70px;
}

/* center numbers */
.number{
    position:relative;
    left:50%;
    top:auto;
    transform:translateX(-50%);
    margin-bottom:20px;
}

/* content reset */
.timeline-content{
    position:relative;
    width:100%;
    text-align:center;
}

.timeline-content.top,
.timeline-content.bottom{
    top:auto;
    bottom:auto;
}

/* remove connectors */
.timeline-content::before,
.timeline-content::after{
    display:none;
}

}


@media (max-width:480px){

.timeline-content h3{
    font-size:17px;
}

.timeline-content p{
    font-size:14px;
    line-height:1.5;
}

.number{
    width:36px;
    height:36px;
    font-size:18px;
}



}


.form-message{
    position: fixed;
    top:20px;
    right:20px;
    background: var(--var-primary-button);
    color:#fff;
    padding:15px 20px;
    border-radius:6px;
    display:none;
    z-index:9999;
    width: 300px;
}
.form-message button{
    background:none;
    border:none;
    color:#fff;
    margin-left:10px;
    cursor:pointer;
}